classification
Title: unittest docs could use another header
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, grantjenks, napsterinblue, xtreak
Priority: normal Keywords:

Created on 2018-08-30 14:48 by napsterinblue, last changed 2018-09-05 16:27 by napsterinblue. This issue is now closed.

Messages (4)
msg324385 - (view) Author: Nick (napsterinblue) Date: 2018-08-30 14:48
I find myself reaching for a list of the assert methods in the unittest library often. There are several methods but no clear way to link a URL via a header if you intend to bookmark or send it out.

I have been using the method above the section in the meantime

https://docs.python.org/3.7/library/unittest.html#unittest.TestCase.debug

Would be great to have an `Assert Methods` header or some other equivalent.

Thank you!
msg324584 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-04 12:42
Are you asking for a separate section grouping together all the assert methods from different parts which I think is useful. If you are looking for a better link then there is a link in the below text at the start of the page 

> If you are already familiar with the basic concepts of testing, you might want to skip to the list of assert methods.

The text "list of assert methods" links to https://docs.python.org/3.7/library/unittest.html#assert-methods which I hope is what you are looking for.


Thanks
msg324585 - (view) Author: Nick (napsterinblue) Date: 2018-09-04 13:37
Ah, yes! Was searching for one of those helpful "Permalink to this ___" options. Didn't even see the link at the top.

Thank you!
msg324646 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-05 15:37
You're welcome. Feel free to close this if it answers your question.

Thanks
History
Date User Action Args
2018-09-05 16:27:20napsterinbluesetstatus: open -> closed
resolution: works for me
stage: resolved
2018-09-05 15:37:22xtreaksetmessages: + msg324646
2018-09-04 13:37:29napsterinbluesetmessages: + msg324585
2018-09-04 12:42:52xtreaksetnosy: + xtreak
messages: + msg324584
2018-09-03 15:55:43grantjenkssetnosy: + grantjenks
2018-08-30 14:48:07napsterinbluecreate